struct ccwgroup_driver
Prev | ccw group devices | Next

## Name

struct ccwgroup_driver — driver for ccw group devices

## Synopsis

    struct ccwgroup_driver {
      struct module * owner;
      char * name;
      int max_slaves;
      unsigned long driver_id;
      int (* probe) (struct ccwgroup_device *);
      void (* remove) (struct ccwgroup_device *);
      int (* set_online) (struct ccwgroup_device *);
      int (* set_offline) (struct ccwgroup_device *);
      void (* shutdown) (struct ccwgroup_device *);
      struct device_driver driver;
    };

## Members

owner

  driver owner

name

  driver name

max_slaves

  maximum number of slave devices

driver_id

  unique id

probe

  function called on probe

remove

  function called on remove

set_online

  function called when device is set online

set_offline

  function called when device is set offline

shutdown

  function called when device is shut down

driver

  embedded driver structure

Prev | Up | Next
struct ccwgroup_device | Home | ccwgroup_create